FreeMat

- Main Page
- Related Pages

vtkStructuredPointsToStructuredPointsFilter

Section: Visualization Toolkit Filtering Classes

# Usage

vtkStructuredPointsToStructuredPointsFilter is an abstract filter class whose subclasses take on input structured points and generate structured points on output.

To create an instance of class vtkStructuredPointsToStructuredPointsFilter, simply invoke its constructor as follows

      obj = vtkStructuredPointsToStructuredPointsFilter

# Methods

The class vtkStructuredPointsToStructuredPointsFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkStructuredPointsToStructuredPointsFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkStructuredPointsToStructuredPointsFilter = obj.NewInstance ()`
- `vtkStructuredPointsToStructuredPointsFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetInput (vtkImageData input)` - Set / get the input data or filter.
- `vtkImageData = obj.GetInput ()` - Set / get the input data or filter.